<template>
  <c88d-button
    :is-multiple-provider="isMultipleProvider"
    :logo="logo"
    style="
      --c88d-btn-width: 132px;
      height: 40px;
      --c88d-bar-position: translateX(10%);
    "
    :enable-tags="false"
    :is-active="isActive"
    :title="title"
    text=""
    @click="$emit('click')"
  >
    <template #right>
      <div class="min-w-[52px] h-[52px] flex self-end z-[1]">
        <img v-lazy="imagePlayer" class="c88d-btn__person" />
      </div>
    </template>
  </c88d-button>
</template>

<script setup lang="ts">
import C88dButton from "./C88dButton.client.vue";

defineProps({
  logo: {
    type: String,
    required: false,
    default: "",
  },
  imagePlayer: {
    type: String,
    required: false,
    default: "",
  },
  isActive: {
    type: Boolean,
    required: false,
    default: false,
  },
  title: {
    type: String,
    default: "",
  },
  isMultipleProvider: {
    type: Boolean,
    required: true,
  },
});
defineEmits(["click"]);
</script>

<style scoped>
:deep(.c88d-btn__container) {
  width: 100%;
}
:deep(.c88d-btn__logo) {
  width: 60px;
  max-height: 24px;
  object-fit: contain;
}
.c88d-btn__person {
  width: 100%;
  filter: grayscale(1);
  transition: all 0.4s;
}
.c88d-btn:hover .c88d-btn__person,
.c88d-btn:focus .c88d-btn__person,
.c88d-btn.active .c88d-btn__person {
  filter: grayscale(0);
}
:deep(.c88d-btn__text) {
  margin-bottom: 6px;
}
</style>
